#!/bin/sh

rm -f /tmp/transcode_queue
mkfifo /tmp/transcode_queue

while true
do
    if read line </tmp/transcode_queue; then
        if [[ "$line" == 'quit' ]]; then
            break
        fi

	dir=$(dirname "$line")
	file=$(basename "$line")
	transcoded=/tmp/transcoded$dir/$file.mpg
	part=$transcoded.part

	if [ -f "$transcoded" ]
        then
            exit 0
        fi

	mkdir -p "/tmp/transcoded$dir"
	echo deleting "$part"
	rm -f "$part"
	ffmpeg -i "$line" -target ntsc-dvd -vcodec mpeg2video "$part" &> /dev/null
	if [ $? == 0 ]
	then
	    mv "$part" "$transcoded"
	fi
    fi
done
